#!/bin/bash

cat << EOF > plotpng.gp

set terminal postscript eps size 8,6 enhanced color font 'Helvetica,44' lw 1
set output 'fig_bands.eps'

set style line 1 lt 1 lw 2 lc rgb "black"
set style line 1 lt 1 lw 3 lc rgb "dark-blue"


set multiplot

set origin 0,0
set size 1,0.9

unset key

set yl 'E_k'
set ytics 10

set xl 'k/{/Symbol p}'
set xr[0:600]
set xtics ("(0,0)" 0, "(0,1)" 200, "(1,1)" 400, "(0,0)" 600)
set arrow from 200, graph 0 to 200, graph 1 nohead
set arrow from 400, graph 0 to 400, graph 1 nohead

set label "V_0 = 10, V_1 = 0, N=3 \t Black: free dispersion" front at graph -0.1, graph 1.15

plot \
'bands_free.dat' u 1:4 w l ls 0 ti '',\
'bands_free.dat' u 1:5 w l ls 0 ti '',\
'bands_free.dat' u 1:6 w l ls 0 ti '',\
'bands_free.dat' u 1:7 w l ls 0 ti '',\
'bands_free.dat' u 1:8 w l ls 0 ti '',\
'bands_free.dat' u 1:9 w l ls 0 ti '',\
'bands_N3.dat' u 1:4 w l ls 1 ti '',\
'bands_N3.dat' u 1:5 w l ls 1 ti '',\
'bands_N3.dat' u 1:6 w l ls 1 ti '',\
'bands_N3.dat' u 1:7 w l ls 1 ti '',\
'bands_N3.dat' u 1:8 w l ls 1 ti '',\
'bands_N3.dat' u 1:9 w l ls 1 ti ''

unset multiplot

EOF
gnuplot plotpng.gp

rm plotpng.gp >& /dev/null
epstopdf fig_bands.eps
open fig_bands.pdf

